// --PrfCount.h-----------------------------------------------------------------
//
//  This file contains defined constants for the performance counters 
//  that the RealMedia Server exports to the Windows NT Performance Monitor.
//
//  This file, along with PrfCount.ini, is used to install the 
//  performance counters on the server.
//  Any changes to this file must be reflected in PrfCount.ini and in the 
//  array of COUNTERDEF structures that is passed to HrMonInit in 
//  RAMON.C
//
//  For information on how to install/uninstall counters, see PrfCount.ini.
//
// Copyright (C) Progressive Networks. 1994-1996.  All Rights Reserved.
//
// -----------------------------------------------------------------------------
#if !defined(_PRFCOUNT_H)
#define _PRFCOUNT_H

#define OBJECT_RMA_SERVER				0

#define COUNTER_ACTIVE_CLIENTS				2

#define COUNTER_ACTIVE_PNA_CLIENTS			4

#define COUNTER_ACTIVE_RTSP_CLIENTS			6

#define COUNTER_ACTIVE_HTTP_CLIENTS			8

#define COUNTER_ACTIVE_TCP_CONNECTIONS			10

#define COUNTER_ACTIVE_UDP_CONNECTIONS			12

#define COUNTER_ACTIVE_MULTI_CONNECTIONS		14

#define COUNTER_TOTAL_BANDWIDTH				16

#define COUNTER_ACTIVE_ENCODER_CONNECTIONS		18

#define COUNTER_ACTIVE_MONITOR_CONNECTIONS		20

#define COUNTER_ACTIVE_SPLITTER_CONNECTIONS		22

#endif
